Bug 1000254 - hop contains bundled Flash files
hop contains bundled Flash files
Product: Fedora
Classification: Fedora
Component: hop (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: WebAssets-BundledBinaries
  Show dependency treegraph
Reported: 2013-08-23 00:27 EDT by T.C. Hollingsworth
Modified: 2016-08-20 16:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-19 06:18:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-08-23 00:27:06 EDT
This package contains binary files that are typically excuted by the Flash
player or another similar program.

These files are not permitted in Fedora. [1]  Everything we produce needs to
be built from source. [2]

The offending file(s) shipped in this package are:

If these files are just a fallback for something that is now supported by modern
web standards like the HTML5 <video> element, please just remove the binaries.

If removing these files would seriously cripple your application, please let me
know so we can figure out a solution.

If you have any questions, please shout.  Thanks!

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries
[2] https://lists.fedoraproject.org/pipermail/devel/2013-August/187836.html
Comment 1 Jaroslav Reznik 2015-03-03 10:00:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
Comment 2 Jerry James 2015-10-28 16:09:15 EDT
I just updated bigloo, and of necessity updated hop as well since 2.5.0 doesn't build with the new version of bigloo.  I took a look at these files.  The sources for the Hop*.swf files are, as you might guess, created by hop upstream.  They are in the same directory as the Hop*.swf files in the source distribution, namely share/flash.  Comments at the top indicate that they are built with the mtasc compiler from http://www.mtasc.org/.

The situation with JavaScriptFlashGateway.swf is less clear.  There is a file named JavaScriptFlashGateway.js in the same directory, but I don't know if it is the source or, if so, how it is built.  The JavaScript file's header indicates that it is (part of?) the Macromedia(r) Flash(r) JavaScript Integration Kit.  It contains a license statement which appears to be loosely BSD.

Comment 3 Fedora End Of Life 2016-07-19 06:18:04 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Adam Williamson 2016-08-19 16:50:56 EDT
jerry: the policy states that we must re-build the flash binary as part of the package build, though, we cannot simply take the pre-compiled binary from the upstream tarball and put it in our package.

all the same files are still present as of F25, so re-opening. Per https://kojipkgs.fedoraproject.org//packages/hop/3.0.0/0.1.rc9.fc24.1/data/logs/x86_64/build.log - the most recent build log - there doesn't appear to be any build step for the .swf components, they're simply copied straight out of the 'source' tree in the install phase.
Comment 5 Jerry James 2016-08-20 16:34:01 EDT
(In reply to Adam Williamson from comment #4)
> jerry: the policy states that we must re-build the flash binary as part of
> the package build, though, we cannot simply take the pre-compiled binary
> from the upstream tarball and put it in our package.

Sure, I was just trying to give the maintainer some potentially helpful information.  Michel, are you around at all?

We don't have mtasc in Fedora, but its website says that it has been succeeded by haxe, which we do have in Fedora.  I made a quick attempt at building the sources with haxe, but it appears that both the language and the library have changed significantly; i.e., more than a small patch is going to be needed to make these files buildable with haxe.  I think the best thing to do now is contact hop upstream and ask for help.

Note You need to log in before you can comment on or make changes to this bug.